Subject: Re: bug#42947: Chez Scheme libraries are broken
From: Ludovic Courtès <[email-masked]>
To: Martin Becze <[email-masked]>
Cc: [email-masked]
Date: Wed, 02 Sep 2020 16:36:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Martin Becze <[email-masked]> skribis:

>> I see, but now we’re creating a directory that remains empty, and as I
>> wrote, chez-fmt is actually installed in another directory anyway:
>
> Oh yikes! Yeah so I see half of the scheme libraries are installed in
> lib/csv-site and other are installed in lib/csv<version>-site. It
> appears that there was a missing make flag for scheme-fmt and several
> others. Attached is an updated patch that fixes that.

[...]

> From 328ab304b47671dcdc03768f07484aae298ca646 Mon Sep 17 00:00:00 2001
> From: Martin Becze <[email-masked]>
> Date: Thu, 20 Aug 2020 12:39:50 -0500
> Subject: [PATCH v2 1/2] gnu: chez-scheme: Fix libary directory issue.
>
> This creates the directory lib/csv<version>-site which the scheme libary packages
> expect.
>
> * gnu/packages/chez.scm (chez-scheme): Create libary directory.
> * gnu/packages/chez.scm (chez-make-flags): Add chezversion to make flags.

I’ve applied it without the ‘mkdir’.  I confirm it solves the problem:

  echo '(import (fmt))' | ./pre-inst-env guix environment -C --ad-hoc chez-scheme chez-fmt -- chez-scheme

Thanks!

Ludo’.